import { getLowResRecognizer } from "./recognizers/low-res";
import { getMediumResRecognizer } from "./recognizers/medium-res";
export var Resolution;
(function (Resolution) {
    Resolution["LOW"] = "low";
    Resolution["MEDIUM"] = "medium";
    Resolution["HIGH"] = "high";
})(Resolution || (Resolution = {}));
export function getActivityRecognizer(resolution) {
    switch (resolution) {
        case Resolution.LOW:
            return getLowResRecognizer();
        case Resolution.MEDIUM:
            return getMediumResRecognizer();
        default:
            throw new Error(`"${resolution}" resolution recognizer has not been implemented yet`);
    }
}
export { HumanActivity } from "./human-activity";
export { Transition } from "./activity-change";
//# sourceMappingURL=index.js.map