import { HumanActivity, Resolution, StartOptions } from "../../index";
export interface RecognizerStateStore {
    isActive(recognizer: Resolution): Promise<boolean>;
    getStartOptions(recognizer: Resolution): Promise<StartOptions>;
    markAsActive(recognizer: Resolution, startOptions: StartOptions): Promise<void>;
    markAsInactive(recognizer: Resolution): Promise<void>;
    getLastActivity(recognizer: Resolution): Promise<HumanActivity>;
    updateLastActivity(recognizer: Resolution, activity: HumanActivity): Promise<void>;
}
declare class RecognizersStateStoreDb implements RecognizerStateStore {
    private database;
    constructor();
    isActive(recognizer: Resolution): Promise<boolean>;
    getStartOptions(recognizer: Resolution): Promise<StartOptions>;
    markAsActive(recognizer: Resolution, startOptions: StartOptions): Promise<void>;
    markAsInactive(recognizer: Resolution): Promise<void>;
    getLastActivity(recognizer: Resolution): Promise<HumanActivity>;
    updateLastActivity(recognizer: Resolution, activity: HumanActivity): Promise<void>;
    private updateStatus;
    private getRecognizerData;
}
export declare const recognizersStateStoreDb: RecognizersStateStoreDb;
export {};
