import { isEnabled, enableLocationRequest, getCurrentLocation, watchLocation, clearWatch, } from "nativescript-geolocation";
export class GeolocationAdapter {
    isReady() {
        return isEnabled();
    }
    prepare(always = false, openSettingsIfDenied = false) {
        return enableLocationRequest(always, openSettingsIfDenied);
    }
    acquireLocation(options) {
        return getCurrentLocation(options);
    }
    listenChanges(onChange, onError, options) {
        return watchLocation(onChange, onError, options);
    }
    stopListening(watchId) {
        clearWatch(watchId);
    }
}
export { Location } from "nativescript-geolocation";
export { Accuracy } from "@nativescript/core/ui/enums";
//# sourceMappingURL=adapter.js.map